Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# Main.h File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <time.h>`
`#include <DAG.h>`
`#include <DAGDatabase.h>`
`#include <ShockGraph.h>`
`#include <GestureGraph.h>`
`#include <VisualDAG.h>`
`#include <LEDA/window.h>`
`#include <Exceptions.h>`
`#include <HelperFunctions.h>`
`#include <Debug.h>`
`#include <DirWalker.h>`
`#include <UnixFuncPrototypes.h>`
`#include <algorithm>`
`#include <string>`
`#include "CmdLineParser.h"`
`#include "ViewSubsampler.h"`
`#include "Stats.h"`

Go to the source code of this file.

## Compounds
class | DAGCmdLineParser
struct | MATCHINFO
struct | SGRECINFO
## Functions
time_t | MatchDAG (const DAG *pTargetDag, DAGDatabase &dagDB, MATCHINFO &info, STATINFO &idxSt, STATINFO &matSt)
| Match one SG against ALL the SGs in the given db.
void | MatchDAG (const DAG *pImgDag, DAGDatabase &dagDB, MATCHINFO &info, streamoff nModelDagOffset, STATINFO &matSt)
| Match one SG against another ONE in the given database.
double | OccludeDAG (DAGPtr &ptrDag, double dMaxOcclusionRate)
| Occludes part of the given graph.
void | MakeSquare (const char *szPPMFileName)
| It ensutes that the given PPM file has square dimentions.

## Detailed Description

------------------------------------------------------------------------

Copyright 2001 by the University of Toronto (UT).

All Rights Reserved

Permission to copy and modify this software and its documentation only for internal use in your organization is hereby granted, provided that this notice is retained thereon and on all copies. UT makes no representations as to the suitability and operability of this software for any purpose. It is provided "as is" without express or implied warranty.

UT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL UT BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

No other rights, including for example, the right to redistribute this software and its documentation or the right to prepare derivative works, are granted unless specifically provided in a separate license agreement.

Author: Diego Macrini

Log:
  Main.h,v

Revision 1.5 2002/06/13 21:50:06 dmac Cmd line args added.

Revision 1.4 2002/06/10 18:43:19 dmac More cmd line params added.

Revision 1.3 2002/05/17 00:26:39 dmac Modification to make the code work with any kind of DAG.

Revision 1.2 2002/03/12 18:23:07 dmac ShowResults() was splited into SaveResults() and a new ShowResults()

Revision 1.1.1.1 2002/03/10 07:38:08 dmac Imported sources

-----------------------------------------------------------------------

Definition in file Main.h.

## Function Documentation

void MakeSquare | ( | const char * | szPPMFileName | ) |

| It ensutes that the given PPM file has square dimentions. The present version of the SG code crashes if the images aren't square Definition at line 537 of file Matching.cpp.

double OccludeDAG | ( | DAGPtr & | ptrDag,
|  | double | dMaxOcclusionRate
| ) |

  | Occludes part of the given graph. Parameters:
  dMaxOcclusionRate | Maximum percentage of occlusion allowed
Todo: The DeleteSubDAG() function does not work for DAGs with loops. Definition at line 69 of file Matching.cpp.